﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.OleDb;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            C1GridView1.DataSource = BindGrid();
            C1GridView1.DataBind();
        }
    }

    #region Populate DataSet

    //Populate Dataset from Database
    
    public DataSet BindGrid()
    {
        OleDbConnection con = new OleDbConnection("provider=Microsoft.Jet.Oledb.4.0; Data Source=" + Server.MapPath("~/App_Data/C1NWind.mdb"));
        OleDbDataAdapter da;
        DataSet ds = new DataSet();

        da = new OleDbDataAdapter("Select * from Customers", con);

        da.Fill(ds);


        return ds;
    }

    //string groupColumn is used to sort data before grouping the grid so that duplicate groups are not created
    public DataSet BindGrid(string groupColumn)
    {
        OleDbConnection con = new OleDbConnection("provider=Microsoft.Jet.Oledb.4.0; Data Source=" + Server.MapPath("~/App_Data/C1NWind.mdb"));
        OleDbDataAdapter da;
        DataSet ds = new DataSet();
        if (groupColumn == null)
        {
            da = new OleDbDataAdapter("Select * from Customers", con);

            da.Fill(ds);
        }

        else if (groupColumn != null)
        {
            da = new OleDbDataAdapter("Select * from Customers Order By " + groupColumn, con);
            da.Fill(ds);
        }

        return ds;
    }

    #endregion

    #region C1GridView Event Handlers

    protected void C1GridView1_Filtering(object sender, C1.Web.Wijmo.Controls.C1GridView.C1GridViewFilterEventArgs e)
    {

    }

    //Handles Filtering
    protected void C1GridView1_Filtered(object sender, EventArgs e)
    {
        C1GridView1.DataSource = BindGrid();
        C1GridView1.DataBind();
    }

    //Handles Paging
    protected void C1GridView1_PageIndexChanging(object sender, C1.Web.Wijmo.Controls.C1GridView.C1GridViewPageEventArgs e)
    {
        C1GridView1.PageIndex = e.NewPageIndex;
        C1GridView1.DataSource = BindGrid();
        C1GridView1.DataBind();
    }

    protected void C1GridView1_Sorting(object sender, C1.Web.Wijmo.Controls.C1GridView.C1GridViewSortEventArgs e)
    {

    }

    //Handles Sorting
    protected void C1GridView1_Sorted(object sender, EventArgs e)
    {
        C1GridView1.DataSource = BindGrid();
        C1GridView1.DataBind();
    }

    //Handles Column Grouping
    protected void C1GridView1_ColumnGrouped(object sender, C1.Web.Wijmo.Controls.C1GridView.C1GridViewColumnGroupedEventArgs e)
    {
        C1GridView1.DataSource = BindGrid(e.Drag.HeaderText);
        C1GridView1.DataBind();
    }

    //Handles Column UnGrouping
    protected void C1GridView1_ColumnUngrouped(object sender, C1.Web.Wijmo.Controls.C1GridView.C1GridViewColumnUngroupedEventArgs e)
    {

    }

    #endregion
}